Retrieve Prompt Templates in a Project
/ic/api/integration/v1/projects/{projectId}/ai/templates
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results. The limit is the maximum number of items to return at one time. For example, offset=3&limit=16 indicates to list Prompt Templates starting at the 4th item, and the list will contain 16 items.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results. The offset is the starting point from which to return records. For example, offset=3&limit=16 indicates to list Prompt Templates starting at the 4th item, and the list will contain 16 items.
-
orderBy: string
Lists Prompt Templates ordered by name, last updated time.
Valid values:
- name: Order Prompt Templates by name.
- time: Order Prompt Templates by the last updated time.
-
q: string
Filters Prompt Templates by name.
Valid parameters:
- name: Name of the Prompt Template. For example:
- To retrieve all Prompt Templates that contain the specified string in the name, specify:
q={name: /ORDER/}
- To retrieve all Prompt Templates that contain the specified string in the name, specify:
- name: Name of the Prompt Template. For example:
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=collection
200 Response
object-
hasMore: boolean
Flag to Check if More Records Exists
-
items: array
items
List of Prompt Templates
-
limit: integer
(int32)
Limit of Records to be Displayed
-
projectId: string
-
totalResults: integer
(int32)
Total Results
object-
code: string
Code
-
content: string
Content
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
description: string
Prompt Template Description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
mapped: boolean
Mapped
-
name: string
Prompt Template Name
-
projectId: string
Project id
-
status: string
Status
-
typeId: string
Type id
-
usage: integer
(int32)
Prompt Template Usage
-
version: string
Version
400 Response
500 Response
Examples
The following example shows how to retrieve all prompt templates defined in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve prompt templates in project TEST_PROJECT
This command retrieves all the prompt templates defined in the specified project.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/templates?integrationInstance=service-instance
Example: Retrieve prompt templates filtered by name
This command retrieves Prompt Templates whose name contains ORDER.
The results are sorted by name and limited to 10 records.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/templates?q={name:/ORDER/}&orderBy=name&offset=0&limit=10&integrationInstance=service-instance